<?php

namespace App\Distributor\Repositories;

use App\Distributor\Models\BaseProduct as Model;
use Dcat\Admin\Repositories\EloquentRepository;

class BaseProduct extends EloquentRepository
{
    /**
     * Model.
     *
     * @var string
     */
    protected $eloquentClass = Model::class;

    public static function findById($id)
    {
        return Model::find($id); // 查找并返回相应的记录
    }
}
